Bug 1478721 - nagios-plugins-load requires the uptime binary at runtime
Summary: nagios-plugins-load requires the uptime binary at runtime
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: nagios-plugins
Version: 26
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Stephen John Smoogen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-08-06 15:19 UTC by Joonas Sarajärvi
Modified: 2019-04-06 20:22 UTC (History)
7 users (show)

Fixed In Version: nagios-plugins-2.2.1-9.fc27 nagios-plugins-2.2.1-9git5c7eb5b9.el7 nagios-plugins-2.2.1-15.20180725git3429dad.el6
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-11-28 23:51:40 UTC


Attachments (Terms of Use)

Description Joonas Sarajärvi 2017-08-06 15:19:31 UTC
Description of problem:
Missing dependency to /usr/bin/uptime prevents check_load plugin
from working. This is easy for an administrator to fix by installing
procps-ng manually, but there should be no reason to not have it
present automatically.

Version-Release number of selected component (if applicable):
nagios-plugins-load-2.2.1-4git.fc26.x86_64

How reproducible:
Always

Steps to Reproduce:
1. Remove procps-ng
2. Install nagios-plugins-load
3. Run /usr/lib64/nagios/plugins/check_load -w 10 -c 20

Actual results:
could not parse load from uptime: (null)

Expected results:
OK - load average: 0.26, 0.18, 0.22|load1=0.260;10.000;20.000;0; load5=0.180;10.000;20.000;0; load15=0.220;10.000;20.000;0;

Comment 1 Stephen John Smoogen 2017-08-07 15:29:48 UTC
I am expecting this was a "was always in @base" so it worked before. I will go through all the packages and make it explicite

Comment 2 Fedora Update System 2017-11-21 15:45:42 UTC
nagios-plugins-2.2.1-9.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-ef9d46f257

Comment 3 Fedora Update System 2017-11-21 16:23:53 UTC
nagios-plugins-2.2.1-9.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-69f33af241

Comment 4 Fedora Update System 2017-11-21 17:09:10 UTC
nagios-plugins-2.2.1-9.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-f6a0118ce5

Comment 5 Fedora Update System 2017-11-21 17:54:31 UTC
nagios-plugins-2.2.1-9git5c7eb5b9.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-95028b0cf2

Comment 6 Fedora Update System 2017-11-21 18:12:52 UTC
nagios-plugins-2.2.1-9.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-e0c04ced36

Comment 7 Fedora Update System 2017-11-21 18:29:14 UTC
nagios-plugins-2.2.1-9git5c7eb5b9.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-5c6c3ab0a8

Comment 8 Fedora Update System 2017-11-21 19:33:16 UTC
nagios-plugins-2.2.1-9git5c7eb5b9.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-95028b0cf2

Comment 9 Fedora Update System 2017-11-22 05:23:28 UTC
nagios-plugins-2.2.1-9.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-f6a0118ce5

Comment 10 Fedora Update System 2017-11-22 06:33:15 UTC
nagios-plugins-2.2.1-9.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-ef9d46f257

Comment 11 Fedora Update System 2017-11-22 11:09:59 UTC
nagios-plugins-2.2.1-9.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-69f33af241

Comment 12 Fedora Update System 2017-11-25 05:22:38 UTC
nagios-plugins-2.2.1-9git5c7eb5b9.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-5c6c3ab0a8

Comment 13 Fedora Update System 2017-11-28 23:51:40 UTC
nagios-plugins-2.2.1-9.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2018-04-22 00:41:26 UTC
nagios-plugins-2.2.1-9git5c7eb5b9.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2018-07-25 22:24:28 UTC
nagios-plugins-2.2.1-14.20180725git3429dad.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-c191412de6

Comment 16 Fedora Update System 2018-07-26 14:51:57 UTC
nagios-plugins-2.2.1-14.20180725git3429dad.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-c191412de6

Comment 17 Fedora Update System 2019-03-12 13:41:39 UTC
nagios-plugins-2.2.1-15.20180725git3429dad.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-7bf33722b6

Comment 18 Fedora Update System 2019-03-12 23:01:56 UTC
nagios-plugins-2.2.1-15.20180725git3429dad.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-7bf33722b6

Comment 19 Fedora Update System 2019-04-06 20:22:59 UTC
nagios-plugins-2.2.1-15.20180725git3429dad.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.